// ./path/to/customMoment/index.js
const originalMoment = require("original-moment"); // 引用原始版本
let offsetTime = 0;

// 实现你的自定义逻辑
function customMoment(...args) {
  if (args.length === 0) {
    return originalMoment().add(offsetTime);
  }
  return originalMoment(...args);
}

// 复制所有静态属性和方法
Object.assign(customMoment, originalMoment);
customMoment.prototype = originalMoment.prototype;

// 自定义 moment
module.exports = customMoment;

// 自定义 Date 构造函数
module.exports.customDate = function customDate(ms) {
  offsetTime = ms;
  const DateWithOffset = require("./CustomDate");
  DateWithOffset.setOffset(ms);
  global.Date = DateWithOffset.Date;
};
